Subject: Re: [RFC PATCH] t: move metadata into TAP test description

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 May 2020 15:57:45 -0700

Johannes Schindelin <[email-masked]> writes:

>> >> 303775a2 (t/test_lib: avoid naked bash arrays in file_lineno, 2020-05-07)
>> >> 662f9cf1 (tests: when run in Bash, annotate test failures with file name/line number, 2020-04-11)
>> >
>> > will also need:
>> >
>> >   676eb0c1ce (ci: add a problem matcher for GitHub Actions, 2020-04-11)
>>
>> Yeah, I think that is a good idea.  I suspect that leaving it there
>> won't cause problems, though---it would be just nothing is found to
>> be clicked and that's the end of it, no?
>>
>> Will add a revert to the series anyway.
>
> Yes, I'm fine with reverting this, as breaking TAP is a rather bad side
> effect.

Yup.  We can revisit it in the next cycle to find a solution that
does not break TAP, either the "a separate comment line", "machine
readable cruft at the end of the same line", or some other approach.